Skip to content

Get Kpis

GET
/api/v1/admin/activation/kpis
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/admin/activation/kpis \
--header 'X-API-Key: <X-API-Key>'

Return the 4 KPI tile values + 28-day sparklines.

Successful Response

Media typeapplication/json
ActivationKpisPayload

Top KPI tile row — UI-SPEC §6.4 ActivationKpisPayload.

object
active_cohort_count
required
Any of:
integer
active_cohort_delta
required
Any of:
integer
d7_retention_delta_pp
required
Any of:
number
d7_retention_pct
required
Any of:
number
generated_at
required
Generated At
string
signup_to_first_action_delta_pp
required
Any of:
number
signup_to_first_action_pct
required
Any of:
number
sparklines
required
ActivationSparklines
object
active_cohort
Active Cohort
Array<number>
d7_retention
D7 Retention
Array<number>
signup_to_first_action
Signup To First Action
Array<number>
time_to_first_action
Time To First Action
Array<number>
time_to_first_action_delta_seconds
required
Any of:
number
time_to_first_action_seconds
required
Any of:
number
Examplegenerated
{
"active_cohort_count": 1,
"active_cohort_delta": 1,
"d7_retention_delta_pp": 1,
"d7_retention_pct": 1,
"generated_at": "example",
"signup_to_first_action_delta_pp": 1,
"signup_to_first_action_pct": 1,
"sparklines": {
"active_cohort": [
1
],
"d7_retention": [
1
],
"signup_to_first_action": [
1
],
"time_to_first_action": [
1
]
},
"time_to_first_action_delta_seconds": 1,
"time_to_first_action_seconds": 1
}